Please ensure Javascript is enabled for purposes of website accessibility
Powered by Zoomin Software. For more details please contactZoomin

CONNECT EAP

Type Management filter and query

  • Last UpdatedJun 25, 2026
  • 1 minute read

Querying for common types is done through the GET /api/v2/types endpoint.

Filter and query features

Filtering

Type Management includes support for the following operators:

Operator

Function

Example

eq

Equal to

id eq 'BaseDocument'

ne

Not equal

value ne 3.0

ge

Greater than or equal to

volume ge 300

le

Less than or equal to

volume le 750

lt

Less than

price lt 20

gt

Greater than

price gt 10

or

Or logical operator

price le 5 or value gt price

and

And logical operator

volume ge 750 and price lt 7.50

not

Not logical operator

not IsSystemDefined

()

Precedence grouping

not (value eq 0 or count eq 0)

contains

Contains

value contains 'efg'

startsWith

Starts with

value startsWith 'ab'

endsWith

Ends with

value endsWith 'yz'

Wildcard querying

Type Management also supports the query parameter, which will perform a search for types that contain the given string in any of the common type's top-level string fields:

  • ID

  • Name

  • Description

  • BaseTypeId

  • SubgraphId

  • Tags

For example, this request:

GET /api/v2/types?query=Foo

will return a type with the substring "foo" in any of the indicated fields.

Offset pagination

Pagination is supported through the skip and count query string parameters. For example, a request like this:

GET /api/v2/types?skip=300&count=100

will return a page of 100 types starting at the 301st record.

Filter examples

Query

Returns

IsSystemDefined eq 'true'

System-defined types such as BaseAsset, BaseDocument and EventState

State eq 'Deprecated'

All deprecated types

(modifiedDate gt '2024-10-06' or createdDate gt '2024-10-06')

Any type created or changed since Oct 6th, 2024

name startsWith Base

Any type starting with the string "Base"

typeCode eq Int32Enum

All enumerated types

In This Topic
Related Links